c931b21161
SVN-Revision: 13619
28 lines
744 B
Diff
Executable File
28 lines
744 B
Diff
Executable File
From 10042752e49358e1ef5ccfbb4e1c27875f3f43c5 Mon Sep 17 00:00:00 2001
|
|
From: mokopatches <mokopatches@openmoko.org>
|
|
Date: Fri, 25 Jul 2008 22:21:22 +0100
|
|
Subject: [PATCH] fail-unless-uimage.patch
|
|
Fail the build noisily if "mkimage" can't be found, e.g., if we forgot to add
|
|
the u-boot directory to PATH.
|
|
|
|
---
|
|
scripts/mkuboot.sh | 2 +-
|
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
|
|
|
diff --git a/scripts/mkuboot.sh b/scripts/mkuboot.sh
|
|
index 2e3d3cd..446739c 100755
|
|
--- a/scripts/mkuboot.sh
|
|
+++ b/scripts/mkuboot.sh
|
|
@@ -11,7 +11,7 @@ if [ -z "${MKIMAGE}" ]; then
|
|
if [ -z "${MKIMAGE}" ]; then
|
|
# Doesn't exist
|
|
echo '"mkimage" command not found - U-Boot images will not be built' >&2
|
|
- exit 0;
|
|
+ exit 1;
|
|
fi
|
|
fi
|
|
|
|
--
|
|
1.5.6.3
|
|
|